Listar registros de contratos consignados confirmados
curl --request GET \
--url https://consignado.sandbox.lerian.net/v1/consignado/contract-registrations \
--header 'Authorization: Bearer <token>'import requests
url = "https://consignado.sandbox.lerian.net/v1/consignado/contract-registrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://consignado.sandbox.lerian.net/v1/consignado/contract-registrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"artifacts": {
"biometrics_documents_pack": {
"blob_ref": "<string>",
"digest_sha256": "<string>",
"retrieval_uri": "<string>",
"size_bytes": 123,
"stored_at": "2023-11-07T05:31:56Z"
},
"signed_ccb": {
"blob_ref": "<string>",
"digest_sha256": "<string>",
"retrieval_uri": "<string>",
"size_bytes": 123,
"stored_at": "2023-11-07T05:31:56Z"
}
},
"composition": {
"composed_at": "2023-11-07T05:31:56Z",
"failure_code": "<string>",
"payload_sha256": "<string>",
"status": "<string>"
},
"event": {
"event_id": "<string>",
"event_type": "<string>",
"schema_version": "<string>"
},
"numero_contrato": "<string>",
"outbox": {
"attempt_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"last_error_code": "<string>",
"outbox_id": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"status": "<string>"
},
"position": "<string>",
"registration": {
"attachment_hash_operacao": "<string>",
"confirmed_at": "2023-11-07T05:31:56Z",
"dataprev_success_code": "<string>",
"rail_reference": "<string>"
}
}
],
"page": {
"after": "<string>",
"has_more": true,
"next_after": "<string>",
"through": "<string>"
}
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Listar registros de contratos consignados confirmados
Retorna uma página com escopo tenant e com proteção de commit de evidências de registro Dataprev confirmadas.
GET
/
v1
/
consignado
/
contract-registrations
Listar registros de contratos consignados confirmados
Autorizações
JWT bearer token issued by the identity provider.
Parâmetros de consulta
Opaque continuation cursor from the preceding page.
Opaque immutable fence returned by the first page.
Maximum number of registrations to return.
Intervalo obrigatório:
1 <= x <= 500Esta página foi útil?
⌘I

